# $Revision: 1.29 $, $Date: 2012/02/12 00:06:27 $
Summary:	Ping-like tool for HTTP requests
Summary(pl.UTF-8):	Narzędzie do "pingowania" poprzez protokół HTTP
Name:		httping
Version:	1.5.2
Release:	1
License:	GPL
Group:		Networking/Utilities
Source0:	http://www.vanheusden.com/httping/%{name}-%{version}.tgz
# Source0-md5:	49f72b124afb8a60f152ec674a162ad6
# This patch is now part of httping
#Patch0:		%{name}-strndup.patch
URL:		http://www.vanheusden.com/httping/
BuildRequires:	openssl-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
httping is a "ping"-like tool for HTTP requests. Give it a URL and it
will show how long it takes to connect, send a request, and retrieve
the reply (only the headers). It can be used for monitoring or
statistical purposes (measuring latency).

%description -l pl.UTF-8
httping jest narzędziem podobnym do pinga, służącym do wysyłania
zapytań HTTP. Po podaniu URL-a httping pokazuje jak wiele czasu
zajmuje połączenie, wysłanie zapytania i otrzymanie odpowiedzi (tylko
nagłówki). Httping może być używany do monitorowania lub do celów
statystycznych.

%prep
%setup -q
#%patch0 -p1

%build
%{__make} \
	CC="%{__cc}" \
	DEBUG="" \
	OFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc readme.txt
%attr(755,root,root) %{_bindir}/httping
%{_mandir}/man1/httping*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: httping.spec,v $
Revision 1.29  2012/02/12 00:06:27  zbyniu
- up to 1.5.2

Revision 1.28  2011/04/28 12:20:51  marti
- up to 1.4.4

Revision 1.27  2010/11/13 12:07:48  pawelz
- release 3

Revision 1.26  2010/04/12 19:25:35  arekm
- release 2

Revision 1.25  2010/03/11 22:59:04  duddits
- up to 1.4.1
- strndup.patch added, see
  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=552901 for details

Revision 1.24  2009/08/03 21:39:23  charles
- up to 1.3.1
- rm Patch0 (not needed anymore)

Revision 1.23  2009/02/18 19:41:43  charles
- updated to 1.3.0

Revision 1.22  2008/08/04 11:38:42  zbyniu
- up to 1.2.9

Revision 1.21  2008/06/29 13:38:21  areq
- 1.2.7

Revision 1.20  2008/06/07 18:26:55  adamg
- updated to 1.2.6

Revision 1.19  2007-12-26 20:42:03  zbyniu
- up to 1.2.5

Revision 1.18  2007-02-13 08:06:35  glen
- tabs in preamble

Revision 1.17  2007/02/12 00:48:56  baggins
- converted to UTF-8

Revision 1.16  2006/11/18 17:21:58  areq
- 1.2.2 one can now set the interface through which the http-pings will be send

Revision 1.15  2006/09/02 19:42:34  blues
- 1.2.1 - should work now with mod_security from apache

Revision 1.14  2006/01/12 10:08:03  darekr
- updated to 1.0.10

Revision 1.13  2006/01/02 14:32:46  charles
- updated to 1.0.9

Revision 1.12  2005/11/17 00:05:30  charles
- updated to 1.0.8

Revision 1.11  2005/11/09 12:09:29  charles
- updated to 1.0.7

Revision 1.10  2005/11/05 23:44:19  charles
- updated to 1.0.6

Revision 1.9  2005/10/05 21:14:39  twittner
- up to 1.0.5, remove `-g' from compiler invokation

Revision 1.8  2005/05/08 14:58:31  darekr
- updated to 1.0.4

Revision 1.7  2005/04/09 07:50:54  darekr
- updated to 1.0.1

Revision 1.6  2005/01/25 06:23:55  blues
- cosmetics

Revision 1.5  2005/01/24 22:14:45  twittner
- pass proper CFLAGS via %rpmcflags

Revision 1.4  2005/01/24 22:03:49  nail2k
- optflags

Revision 1.3  2005/01/24 21:26:55  ankry
- formatting

Revision 1.2  2005/01/24 20:23:47  qboosh
- pl fixes

Revision 1.1  2005/01/23 23:26:17  nail2k
- added
